# xarray.DataArray.argmin

`DataArray.``argmin`(dim=None, axis=None, skipna=None, keep_attrs=False, **kwargs)

  Reduce this DataArray’s data by applying argmin along some dimension(s).

  Parameters:

  dim : str or sequence of str, optional

  > > Dimension(s) over which to apply argmin.

  > axis : int or sequence of int, optional

  >   Axis(es) over which to apply argmin. Only one of the ‘dim’ and ‘axis’ arguments can be supplied. If neither are supplied, then argmin is calculated over axes.

  skipna : bool, optional

  > If True, skip missing values (as marked by NaN). By default, only skips missing values for float dtypes; other dtypes either do not have a sentinel missing value (int) or skipna=True has not been implemented (object, datetime64 or timedelta64).

  keep_attrs : bool, optional

  > If True, the attributes (attrs) will be copied from the original object to the new one. If False (default), the new object will be returned without attributes.

  **kwargs : dict

  > Additional keyword arguments passed on to the appropriate array function for calculating argmin on this object’s data.

  Returns:

  reduced : DataArray

  > New DataArray object with argmin applied to its data and the indicated dimension(s) removed.